Title
Missing specification of type of binary literal
Status
c++14
Section
5.13.2 [lex.icon]
Submitter
Richard Smith

Created on 2013-07-23.00:00:00 last changed 81 months ago

Messages

Date: 2013-09-15.00:00:00

Proposed resolution (September, 2013):

Change the caption and header row of Table 6 in 5.13.2 [lex.icon] paragraph 2 as follows:

Table 6 — Types of integer constants literals

Suffix Decimal constants literal Binary, Octal octal, or hexadecimal constant literal

Date: 2014-03-03.00:00:00
N3690 comment ES 7

[Applied to WP at the February, 2014 meeting.]

Table 6 of 5.13.2 [lex.icon] paragraph 2 covers only decimal, octal, and hexadecimal literals. Binary literals should be treated like the latter two. (It would also be more consistent to refer to these as “literals” instead of “constants.”)

History
Date User Action Args
2014-11-24 00:00:00adminsetstatus: accepted -> c++14
2014-03-03 00:00:00adminsetstatus: ready -> accepted
2013-10-14 00:00:00adminsetmessages: + msg4565
2013-10-14 00:00:00adminsetstatus: open -> ready
2013-07-23 00:00:00admincreate